﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.ComponentModel;
using System.Data;
using System.Globalization;
using System.Windows;
using System.Windows.Data;
using System.Windows.Media;

namespace Selection_Sample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void AddSeries_Click(object sender, RoutedEventArgs e)
        {
            viewmodel.Series = new ChartSeriesCollection();

            var s1 = new LineSeries()
            {
                Palette = ChartColorPalette.Metro,
                ItemsSource = viewmodel.LineData2,
                XBindingPath = "XValue",
                YBindingPath = "YValue",
                Label = "Series2",
                AdornmentsInfo = new ChartAdornmentInfo() { ShowMarker = true, SymbolInterior = new SolidColorBrush(Colors.Black), Symbol = ChartSymbol.Diamond }
            };

            viewmodel.Series.Add(s1);
            viewmodel.LegendSeries = s1;
        }

        private void RemoveSeries_Click(object sender, RoutedEventArgs e)
        {
            DataTable LineData3 = new DataTable();
            LineData3.Columns.Add("XValue", typeof(string));
            LineData3.Columns.Add("YValue", typeof(double));

            LineData3.Rows.Add("Benz", 30);

            LineData3.Rows.Add("Volvo", 40);

            LineData3.Rows.Add("Jaguar", 50);

            LineData3.Rows.Add("BMW", 55);

            LineData3.Rows.Add("Mahendra", 50);

            LineData3.Rows.Add("Toyoto", 40);
            LineData3.Rows.Add("Audi", 10, 50);
            LineData3.Rows.Add("Audi", 13, 50);
            LineData3.Rows.Add("Audi", 12, 50);
            LineData3.Rows.Add("Audi", 13, 50);
            LineData3.Rows.Add("Audi", 15, 50);
            LineData3.Rows.Add("Audi", 16, 50);
            LineData3.Rows.Add("Audi", 17, 50);
            LineData3.Rows.Add("Audi", 18, 50);
            LineData3.Rows.Add("Audi", 19, 50);
            LineData3.Rows.Add("Audi", 20, 50);
            LineData3.Rows.Add("Audi", 30);
            viewmodel.Series[2].ItemsSource = LineData3;

        }
    }

    public class ViewModel : INotifyPropertyChanged

    {

        private ChartSeriesCollection series;



        public event PropertyChangedEventHandler PropertyChanged;



        public ChartSeriesCollection Series

        {

            get { return series; }

            set

            {

                series = value;

                PropertyChanged?.Invoke(this, new PropertyChangedEventArgs("Series"));

            }

        }

        private ChartSeriesBase legendSeries;

        public ChartSeriesBase LegendSeries

        {

            get { return legendSeries; }

            set

            {

                legendSeries = value;

                PropertyChanged?.Invoke(this, new PropertyChangedEventArgs("LegendSeries"));

            }

        }



        public DataTable LineData1 { get; set; }



        public DataTable LineData2 { get; set; }



        public DataTable LineData3 { get; set; }



        public ViewModel()

        {

            LineData1 = new DataTable();
            LineData1.Columns.Add("XValue", typeof(string));
            LineData1.Columns.Add("YValue", typeof(double));
            LineData1.Columns.Add("Low", typeof(double));
            LineData1.Rows.Add("Benz", 10, 5);
            LineData1.Columns[1].AllowDBNull = true;
            //    LineData1.Rows.Add("Volvo", DBNull.Value, 12);

            LineData1.Rows.Add("Jaguar", 30, 22);

            //  LineData1.Rows.Add("BMW", DBNull.Value, 20);

            LineData1.Rows.Add("Mahendra", 30, 18);

            LineData1.Rows.Add("Toyoto", 20, 10);

            //LineData1.Rows.Add("Audi", 10, 50);
            //LineData1.Rows.Add("Audi", 13, 50);
            //LineData1.Rows.Add("Audi", 12, 50);
            //LineData1.Rows.Add("Audi", 13, 50);
            //LineData1.Rows.Add("Audi", 15, 50);
            //LineData1.Rows.Add("Audi", 16, 50);
            //LineData1.Rows.Add("Audi", 17, 50);
            //LineData1.Rows.Add("Audi", 18, 50);
            //LineData1.Rows.Add("Audi", 19, 50);
            //LineData1.Rows.Add("Audi", 20, 50);
            //LineData1.Rows.Add("Audi", 21, 50);
            //LineData1.Rows.Add("Audi", 219, 50);
            //LineData1.Rows.Add("Audi", 129, 50);
            //LineData1.Rows.Add("Audi", 202, 50);


            LineData2 = new DataTable();
            LineData2.Columns.Add("XValue", typeof(string));
            LineData2.Columns.Add("YValue", typeof(double));
            LineData2.Rows.Add("Benz", 20);

            LineData2.Rows.Add("Volvo", 30);

            LineData2.Rows.Add("Jaguar", 40);

            LineData2.Rows.Add("BMW", 45);

            LineData2.Rows.Add("Mahendra", 40);

            LineData2.Rows.Add("Toyoto", 30);

            LineData2.Rows.Add("Audi", 20);

            Series = new ChartSeriesCollection();

            var s1 = new ColumnSeries()
            {
                Palette = ChartColorPalette.Metro,
                ItemsSource = LineData1,
                XBindingPath = "XValue",
                YBindingPath = "YValue",
                Label = "Series1",
                AdornmentsInfo = new ChartAdornmentInfo() { ShowMarker = true, SymbolInterior = new SolidColorBrush(Colors.Black), Symbol = ChartSymbol.Diamond }
            };

            Series.Add(s1);
            LegendSeries = s1;

            //Series.Add(new ColumnSeries()
            //{
            //    Palette = ChartColorPalette.Metro,

            //    ItemsSource = LineData1,
            //    XBindingPath = "XValue",
            //    YBindingPath = "YValue",
            //    Label = "Series2",
            //    AdornmentsInfo = new ChartAdornmentInfo() { ShowMarker = true, SymbolInterior = new SolidColorBrush(Colors.Black), Symbol = ChartSymbol.Diamond }
            //});

            //Series.Add(new FastLineSeries()
            //{

            //    ItemsSource = new ObservableCollection<Model>() { new Model("2", 12), new Model("23", 10), new Model("53", 123), new Model("23", 10), new Model("23", 10), new Model("23", 10), new Model("23", 10), new Model("23", 10), new Model("23", 10), new Model("23", 10), new Model("23", 10), new Model("23", 10), new Model("23", 10), new Model("23", 10), new Model("23", 10), new Model("23", 10), new Model("23", 10), new Model("23", 10), },
            //    Palette = ChartColorPalette.Metro,

            //    XBindingPath = "XValue",

            //    YBindingPath = "YValue",

            //    Label = "Series3",

            //    AdornmentsInfo = new ChartAdornmentInfo() { ShowMarker = true, SymbolInterior = new SolidColorBrush(Colors.Black), Symbol = ChartSymbol.Diamond }

            //});

            //Series.Add(new FastLineSeries()
            //{

            //    ItemsSource = new ObservableCollection<Model>() { new Model("2", 23), new Model("23", 54), new Model("53", 12) },
            //    Palette = ChartColorPalette.Pineapple,

            //    XBindingPath = "XValue",

            //    YBindingPath = "YValue",

            //    Label = "Series4",

            //    AdornmentsInfo = new ChartAdornmentInfo() { ShowMarker = true, SymbolInterior = new SolidColorBrush(Colors.Black), Symbol = ChartSymbol.Diamond }

            //});
            //Series.Add(new FastLineSeries()
            //{

            //    ItemsSource = new ObservableCollection<Model>() { new Model("2", 63), new Model("23", 23), new Model("53", 23) },
            //    Palette = ChartColorPalette.Pineapple,

            //    XBindingPath = "XValue",

            //    YBindingPath = "YValue",

            //    Label = "Series5",

            //    AdornmentsInfo = new ChartAdornmentInfo() { ShowMarker = true, SymbolInterior = new SolidColorBrush(Colors.Black), Symbol = ChartSymbol.Diamond }

            //});
            //Series.Add(new FastLineSeries()
            //{

            //    ItemsSource = new ObservableCollection<Model>() { new Model("2", 34), new Model("23", 110), new Model("53", 12) },

            //    XBindingPath = "XValue",
            //    Palette = ChartColorPalette.Pineapple,

            //    YBindingPath = "YValue",

            //    Label = "Series6",

            //    AdornmentsInfo = new ChartAdornmentInfo() { ShowMarker = true, SymbolInterior = new SolidColorBrush(Colors.Black), Symbol = ChartSymbol.Diamond }


            //});

            //Series.Add(new FastLineSeries()
            //{

            //    ItemsSource = new ObservableCollection<Model>() { new Model("2", 12), new Model("23", 10), new Model("53", 123) },

            //    XBindingPath = "XValue",

            //    YBindingPath = "YValue",
            //    Palette = ChartColorPalette.Pineapple,

            //    Label = "Series7",

            //    AdornmentsInfo = new ChartAdornmentInfo() { ShowMarker = true, SymbolInterior = new SolidColorBrush(Colors.Black), Symbol = ChartSymbol.Diamond }

            //});
            //Series.Add(new FastLineSeries()
            //{

            //    ItemsSource = new ObservableCollection<Model>() { new Model("2", 2), new Model("23", 40), new Model("53", 13) },

            //    XBindingPath = "XValue",

            //    YBindingPath = "YValue",
            //    Palette = ChartColorPalette.Pineapple,

            //    Label = "Series8",

            //    AdornmentsInfo = new ChartAdornmentInfo() { ShowMarker = true, SymbolInterior = new SolidColorBrush(Colors.Black), Symbol = ChartSymbol.Diamond }

            //});

            //Series.Add(new FastLineBitmapSeries()

            //{

            //    ItemsSource = LineData3,

            //    XBindingPath = "XValue",

            //    YBindingPath = "YValue",
            //    Palette = ChartColorPalette.Pineapple,

            //    Label = "Series9",

            //    AdornmentsInfo = new ChartAdornmentInfo() { ShowMarker = true, SymbolInterior = new SolidColorBrush(Colors.Black), Symbol = ChartSymbol.Diamond }

            //});

            //series.Add(new LineSeries()
            //{
            //    Label = "series 10",

            //});

        }

    }


    public class Model
    {
        public string XValue { get; set; }
        public double YValue { get; set; }

        public Model(string xvalue, double yValue)
        {
            XValue = xvalue;
            YValue = yValue;
        }
    }
}
